SCRIPTREPLAY(1)

NUME
scriptreplay - redă transcrierile, folosind informații de sincronizare

REZUMAT

scriptreplay [opțiuni] fișier-sincronizare [transcrierea [divizor]]

DESCRIERE

Acest program redă un script tipizat, utilizând informații de sincronizare pentru a se asigura că ieșirea se produce în același ritm în care a apărut inițial când a fost înregistrat scriptul.

Reluarea afișează pur și simplu informațiile din nou; programele care au fost rulate în momentul înregistrării transcrierii(textului tipizat) nu sunt rulate din nou. Deoarece se afișează pur și simplu aceleași informații, scriptreplay funcționează corect numai dacă este rulat pe același tip de terminal pe care a fost înregistrată transcrierea. În caz contrar, orice caracter de eludare din transcriere poate fi interpretat în mod diferit de către terminalul la care scriptreplay își trimite ieșirea.

Informațiile de sincronizare sunt cele pe care script(1) le transmite în fișierul specificat prin --log-timing.

În mod implicit, se presupune că transcrierea care urmează să fie afișată se numește transcrierea dar pot fi specificate și alte nume de fișiere, ca al doilea parametru sau cu opțiunea --log-out.

Dacă este specificat al treilea parametru sau opțiunea --divisor, aceasta este utilizată ca multiplicator de accelerare. De exemplu, o creștere a vitezei de 2 face ca scriptreplay să fie de două ori mai rapid, iar o reducere a vitezei de 0,1 face ca acesta să fie de zece ori mai lent decât sesiunea originală.

În timpul redării, puteți accelera, încetini sau întrerupe redarea în mod interactiv utilizând tastele «Sus», «Jos» și «Spațiu».

OPȚIUNI

-I, --log-in fișier
    Fișierul care conține datele de intrare ale terminalului script.

-O, --log-out fișier
    Fișierul care conține ieșirea terminalului script.

-B, --log-io fișier
    Fișierul care conține ieșirea și intrarea terminalului script.

-t, --timing fișier
    Fișierul care conține ieșirea cronologică (de sincronizare) a script. Această opțiune înlocuiește argumentul pozițional fișier-sincronizare.

-T, --log-timing fișier
    Acesta este un alias pentru -t, menținut pentru compatibilitate cu opțiunile din linia de comandă script(1).

-s, --typescript fișier
    Alias depreciat pentru --log-out.

-c, --cr-mode mod
    Specifică modul de utilizare a caracterului CR (0x0D, retur de cărucior) din fișierele jurnal. Modul implicit este auto, în acest caz CR este înlocuit cu un salt de linie pentru jurnalul intrării standard(stdin), deoarece altfel scriptreplay ar suprascrie aceeași linie. Celelalte moduri sunt never (niciodată) și always (mereu).

-d, --divisor număr
    Accelerează redarea care se afișează, acest număr de ori. Argumentul este un număr în virgulă mobilă. Se numește divizor pentru că împarte cronometrările cu acest factor. Această opțiune înlocuiește argumentele de tip vechi.

-m, --maxdelay număr
    Stabilește întârzierea maximă între actualizări la număr de secunde. Argumentul este un număr în virgulă mobilă. Acest lucru poate fi utilizat pentru a evita pauzele lungi în reluarea transcrierii.

--summary
    Afișează detalii despre sesiunea înregistrată în fișierul de sincronizare specificat și iese. Sesiunea trebuie să fie înregistrată folosind formatul advanced (a se vedea opțiunea --logging-format din script(1) pentru mai multe detalii).

-x, --stream tip
    Forțează scriptreplay să afișeze numai fluxul specificat. Tipurile de flux acceptate sunt in, out, signal și info. Această opțiune este recomandată pentru jurnalele cu mai multe fluxuri (de exemplu, --log-io) pentru a imprima numai datele specificate.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

EXEMPLE

    % script --log-timing file.tm --log-out script.out
    Scriptul a fost inițiat, fișierul este script.out
    % ls
    <etc, etc>
    % exit
    Scriptul s-a executat, fișierul este script.out
    % scriptreplay --log-timing file.tm --log-out script.out

ASOCIERI DE TASTE

Următoarele taste controlează redarea scriptului:

    • Spațiu: Comută între pauză și repornire. Apăsați această tastă pentru a întrerupe redarea și apăsați-o din nou pentru a o relua.

    • Săgeată în sus: Crește viteza de redare. Fiecare apăsare a acestei taste va face ca scenariul să fie redat mai rapid cu x0,1.

    • Săgeată în jos: Scade viteza de redare. Fiecare apăsare a acestei taste va încetini redarea scriptului cu x0,1.

AUTORI

Programul original scriptreplay a fost scris de Programul a fost rescris în C de și

DREPTURI DE AUTOR

Drepturi de autor © 2008 James Youngman

Drepturi de autor © 2008-2019 Karel Zak

Drepturi de autor © 2024 Jonathan Ketchker

Acesta este software liber; consultați sursa pentru condițiile de copiere. NU există NICIO garanție; nici măcar pentru COMERCIALIZARE sau POTRIVIRE PENTRU UN ANUMIT SCOP.

Publicat sub licența publică generală GNU, versiunea 2 sau o versiune ulterioară.

CONSULTAȚI ȘI

script(1), scriptlive(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda scriptreplay face parte din pachetul util-linux care poate fi descărcat de la